<?php
/**
 * class result
 *
 * Description for class result
 *
 * @author:
*/
use form\slideResult_form;

class result extends slideResult_form {
	public function valid($sendData) {
		if(empty($sendData)) {
			return false;
		}

		return true;
	}

	public function save($presentationId, $slideId, $userId, $sendData, $time) {
		global $__database;

		try {
			$query = $__database->prepare("INSERT INTO `results` (`result_id`, `presentation_id`, `board_id`, `user_id`, `reply`, `time`) VALUES (UUID(), :presentation_id, :board_id, :user_id, :reply, :time)");
			$query->bindParam(":presentation_id", $presentationId);
			$query->bindParam(":board_id", $slideId);
			$query->bindParam(":user_id", $userId);
			$query->bindParam(":reply", $sendData);
			$query->bindParam(":time", $time);
			$query->execute();

			return true;
		} catch(PDOException $error) {

		}

		return false;
	}
}
?>